Subject: Re: bug#43164: 26.3.50; project.el still broken under Emacs 26.3

From: Dmitry Gutov <[email-masked]>
Date: Thu, 3 Sep 2020 22:07:38 +0300

On 02.09.2020 02:13, Philipp Stephani wrote:
> Please ensure that project.el and other packages that are shipped with
> Emacs either stay compatible with the versions they purport to support,
> or bump the required version to Emacs 27.

You are right, of course.

Though I have to say it's relatively difficult to ensure that 
compatibility when working on 'core' ELPA packages.

When developing "external" packages on external hosting platforms with 
CI services, one usually can run the tests against multiple Emacs 
versions. Here, I don't know of any better way than, after any 
significant change, launch Emacs 26.3 manually, load the files in it, 
and (maybe) run some tests.

Perhaps we could set up similar CI scenarios on EMBA for ELPA core...